Bug 174251 - php is missing noreplace for php.ini (config)
php is missing noreplace for php.ini (config)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-26 10:38 EST by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-06 04:42:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2005-11-26 10:38:09 EST
Description of problem:
php-5.0.5 in rawhide doesn't have config(noreplace) for php.ini. Looking at bug
#152171, this is intentional but from comment #14 was intended as a temporary
situation only. Needs review to see if (noreplace) can be reinserted, to avoid
data/config loss.

Version-Release number of selected component (if applicable):
rawhide

How reproducible: Always


Steps to Reproduce:
1. upgrade a PHP version to rawhide
  
Actual results:
your php.ini is replaced with the standard one, and yours is renamed to
php.ini.rpmsave

Expected results:
your php.ini is retained and the new one is installed as php.ini.rpmnew
Comment 1 Joe Orton 2006-02-28 12:25:13 EST
On reflection, I think that leaving the noreplace in there is correct to ensure
that upgrades from older FCx's work properly.  For FCx updates it needs to be
removed again, so I'm leaving this open as a reminder.
Comment 2 Christian Iseli 2007-01-22 05:19:39 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Tim Jackson 2007-03-06 04:42:57 EST
This seems to be resolved in devel, by adding (noreplace) to php.ini.

Note You need to log in before you can comment on or make changes to this bug.